"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chai_1 = require("chai");
const semver = require("semver");
describe('semver', () => {
    it('should update version correctly', () => {
        let version = semver.inc('0.0.1', 'prerelease');
        chai_1.expect(version).to.equal('0.0.2-0');
        version = semver.inc('0.0.0', 'prerelease', 'beta');
        chai_1.expect(version).to.equal('0.0.1-beta.0');
        version = semver.inc('0.0.1', 'prerelease', 'beta');
        chai_1.expect(version).to.equal('0.0.2-beta.0');
        version = semver.inc('0.0.1-beta.1', 'prerelease');
        chai_1.expect(version).to.equal('0.0.1-beta.2');
        version = semver.inc('0.0.1-beta.1', 'prerelease', 'beta');
        chai_1.expect(version).to.equal('0.0.1-beta.2');
    });
});
